# Compression.mode

Selects decompression mode matching compression used by omfwd.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  Compression.mode

Scope:

  input

Type:

  word

Default:

  input=none

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

This is the counterpart to the compression modes set in omfwd. Please see its documentation for details.

## Input usage

    input(type="imptcp" compression.mode="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.